%define iconname %{name}.png
%define debug_package %{nil}

Summary:	A simple text editor for Xfce
Name:		mousepad
Version:	0.2.12
Release:	%mkrel 5
License:	GPL
Group:		Editors
URL:		http://www.xfce.org
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	gtk2-devel
BuildRequires:	chrpath
BuildRequires:	libxfcegui4-devel
BuildRequires:	imagemagick
BuildRequires:	perl(XML::Parser)
BuildRequires:	desktop-file-utils
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mousepad is a text editor for Xfce based on Leafpad. The initial reason for 
Mousepad was to provide printing support, which would have been difficult 
for Leafpad for various reasons.

Although some features are under development, currently Mousepad has the
following features:

    * Complete support for UTF-8 text
    * Cut/Copy/Paste and Select All text
    * Search and Replace
    * Font selecton
    * Word Wrap
    * Character coding selection
    * Auto character coding detection (UTF-8 and some codesets)
    * Manual codeset setting
    * Infinite Undo/Redo by word
    * Auto Indent
    * Multi-line Indent
    * Display line numbers
    * Drag and Drop
    * Printing

%prep 
%setup -q

%build
%configure2_5x 

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# fix rpath
chrpath -d %{buildroot}%{_bindir}/%{name}
# strip binary
strip %{buildroot}%{_bindir}/%{name}


%find_lang %{name} --with-gnome

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert %{name}.png -geometry 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{iconname}
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{iconname} 
convert %{name}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{iconname} 


desktop-file-install \
    --remove-category="Application" \
    --add-only-show-in="XFCE" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
 
 
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean 
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README 
%{_bindir}/* 
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/* 
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.12-5mdv2008.0
+ Revision: 89948
- rebuild

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-4mdv2008.0
+ Revision: 71244
- remove X-MandrivaLinux from desktop file

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-3mdv2008.0
+ Revision: 32841
- s/imagemagick/ImageMagick

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-2mdv2008.0
+ Revision: 32817
- spec file clean
- drop old style menu
- tune up desktop file
- add icon macro to %%post and %%postun


* Tue Jan 23 2007 plouf <plouf> 0.2.12-1mdv2007.0
+ Revision: 112308
- New release 0.2.12

* Tue Dec 12 2006 Jérôme Soyer <saispo@mandriva.org> 0.2.10-1mdv2007.1
+ Revision: 95212
- New release 0.2.10
- Import mousepad

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.6-1mdv2007.0
- 0.2.6
- xdg

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.4-2mdk
- Fix BuildRequires

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.2.4-1mdk
- New release 0.2.4

* Fri Nov 25 2005 Marcel Pol <mpol@mandriva.org> 0.2.2-3mdk
- fix menu

* Tue Aug 02 2005 Marcel Pol <mpol@mandriva.org> 0.2.2-2mdk
- buildrequires ImageMagick

* Tue Apr 05 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.2.2-1mdk
- 0.2.2

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 0.2.1-1mdk
- 0.2.1
- buildrequires libxfcegui4-devel
- strip binary

* Thu Feb 03 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.1.1-1mdk
- 0.1.1
- change Group to Editors
- BR chrpath and strip /bin

* Sat Jan 22 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.1.0-1mdk
- 1st Mdk release

